Subject: Re: key permission problem $CYGWIN=ntea, OPENSSH
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: John Peacock <[email-masked]>
Cc: "Colliver, Robert" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Thu, 01 Nov 2001 12:52:14 -0500

At 12:43 PM 11/1/2001, John Peacock wrote:
>"Larry Hall (RFK Partners, Inc)" wrote:
> > 
> > >Is your disk NTFS?  If not, you are not able to take advantage of several
> > >features like ntea and ntsec (the latter is what you should be using anyways).
> > 
> > This is not quite right.  I'll direct you both to
> > 
> > http://www.cygwin.com/cygwin-ug-net/using-filemodes.html
> > 
> > which explains the use of ntea.  If Robert's partition is NTFS though,
> > John's quite right to recommend the use of the ntsec option instead.
> > And if Robert's using Win9x, then it doesn't matter what option he sets.
>
>I stand [mostly] corrected.  I suspect it is likely that ssh is NOT complaining 
>when there is no 'ntea' set mostly because someone patched it to disable the
>option 'StrictModes' when 'ntea' is not present.  As the joke goes "then don't
>do that..."

Right.  I believe your assessment of the difference using between ntea and 
not ntea in this case is correct.  A search of the email archives (or 
perhaps even the ssh ChangeLog) would probably unearth that exactly the 
change you mentioned was made, if anyone is interested in nailing this 
down. 

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/